# $Revision: 1.28 $, $Date: 2002/08/29 23:11:03 $
Summary:	Doxygen is the documentation system for C/C++
Summary(pl):	System dokumentowania dla C/C++
Summary(pt_BR):	Um sistema de documentao para C/C++
Summary(ru):	   C  C++
Summary(uk):	   C  C++
Name:		doxygen
Version:	1.2.15
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
URL:		http://www.stack.nl/~dimitri/doxygen/
BuildRequires:	qt-devel => 3.0.5
BuildRequires:	libstdc++-devel
BuildRequires:	tetex
BuildRequires:	tetex-latex
BuildRequires:	ghostscript
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%description -l pl
Doxygen to system dokumentowania dla C, C++ i IDL. Moe generowa
dokumentacj klas on-line (w HTML) lub podrcznik off-line (w LaTeX-u)
z zestawu udokumentowanych plikw rdowych. Ma take moliwo
generowania stron man i konwersji na Postscript, PDF z hiperczami
oraz skompresowany HTML. Dokumentacja jest wycigana bezporednio ze
rde.

Doxygen moe by skonfigurowany take do wycigania struktury kodu z
nieudokumentowanych plikw rdowych. Moe by to przydatne do
szybkiego odnalezienia si w duych rdach.

%description -l pt_BR
Doxygen  uma sistema de documentao para C e C++ que gera um class
browser on-line (em HTML) e/ou um manual de referencia off-line (em
LaTeX) a partir de um conjunto de fontes documentados. A documentao
 extraida diretamente a partir dos fontes.

%description -l ru
Doxygen -     C, C++  IDL.  
    ( HTML) / 
 ( LaTeX)    .  
  man-     
Postscript, PDF     HTML. 
    .

Doxygen        
  .      
,      .

%description -l uk
Doxygen -     C, C++  IDL.  
   Ӧ ( HTML) /  צ
( LaTeX)    Ȧ ̦.   Ц
  man-Ҧ  æ   
Postscript, PDF  Ǧ̦   HTML. æ
   Ȧ ̦.

Doxygen   Ʀ     
 Ȧ ̦.       ,
  ڦ   Ԧ.

%package doxywizard
Summary:	A GUI front-end for creating and editing configuration files
Summary(pl):	GUI do tworzenia i edycji plikw konfiguracyjnych
Summary(pt_BR):	Wizard grfico para o Doxygen
Group:		X11/Applications
Requires:	%{name} = %{version}
Requires:	qt >= 2.2

%description doxywizard
Doxywizard is a GUI front-end for creating and editing configuration
files that are used by doxygen.

%description doxywizard -l pl
Doxywizard to frontend z graficznym interfejsem do tworzenia i edycji
plikw konfiguracyjnych uywanych przez doxygen.

%description doxywizard -l pt_BR
Wizard grfico para o Doxygen

%prep
%setup -q

%build
export QTDIR=%{_prefix}
## don't change it to %%configure!!!
./configure \
	--prefix %{_prefix} \
	--perl %{_bindir}/perl \
#	--with-doxywizard

%{__make} \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags} \
	-DQT_NO_CODECS -DQT_LITE_UNICODE -fno-rtti -fno-exceptions"

%{__make} docs
%{__make} ps
mkdir ps
mv -f latex/doxygen_manual.ps ps

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_bindir}

install bin/doxy* ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc html examples README LICENSE
%attr(755,root,root) %{_bindir}/doxygen
%attr(755,root,root) %{_bindir}/doxytag
%attr(755,root,root) %{_bindir}/doxysearch

#%files doxywizard
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/doxywizard

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: doxygen.spec,v $
Revision 1.28  2002/08/29 23:11:03  blues
- release 2 - new doc, proper BR

Revision 1.27  2002/04/25 16:13:30  arturs
fixed a small typo

Revision 1.26  2002/04/13 13:12:19  kloczek
- updated to 1.2.15 and merge translations from KSI.

Revision 1.25  2002/03/11 11:07:47  martii
- cosmetics

Revision 1.24  2002/03/11 11:02:20  martii
- added latex to buildreq

Revision 1.23  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/17 19:52:48  kloczek
- updated to 1.2.14.

Revision 1.20  2002/02/07 02:54:51  kloczek
- release 2.

Revision 1.19  2002/02/06 23:13:03  filon
- small fix

Revision 1.18  2002/02/03 20:43:36  ankry
- adding es/pt/pt_BR Group translations

Revision 1.17  2002/01/22 18:17:33  filon
- cosmetics

Revision 1.16  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/06 13:47:42  kloczek
- updated to 1.2.13.1 (bug fix release).

Revision 1.14  2002/01/02 14:42:39  kloczek
- updated to 1.2.13 (bug fix release),
- new Source url.

Revision 1.13  2001/12/12 21:06:21  blues
- added ghostscript to buildrequires

Revision 1.12  2001/11/26 15:26:03  kloczek
- release 2.

Revision 1.11  2001/11/26 14:38:37  qboosh
- s/BuildPrereq/BuildRequires/

Revision 1.10  2001/11/21 15:19:21  qboosh
- pl translations, adapterized

Revision 1.9  2001/11/08 19:27:47  kloczek
- Epoch: 1,
- merged translations from CNV,
- added commented doxywizard subpackahge (now does not build correctly).

Revision 1.8  2001/11/08 18:27:46  baggins
- updated to 1.2.11

Revision 1.7  2001/07/06 12:40:35  dobrek
- Exludearch alpha removed. Could one explain my what was the reason to
  exlude alpha arch. What for hell has arch to dodument preparation
  system?????

Revision 1.6  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/11/01 06:04:02  kloczek
- use $RPM_OPT_FLAGS during compile,
- make spec %%{debug} ready,
- use -fno-rtti -fno-exceptions during compile C++ code,
- added missing %attr() macros in %files,
- tetex added to BuildRequires.

Revision 1.2  2000/10/31 23:34:28  klakier
- needs testing
- qt frontend not included

Revision 1.1  2000/10/31 13:59:21  klakier
- based on mdk spec
